Summary: A hard drive space monitor.
Name: diskcheck
Version: 1.6
Release: 6%{?dist}
# Epoch: 2
License: GPL
Group: Applications/System
Source: diskcheck-%{version}.tar.gz
Requires: crontabs, smtpdaemon
BuildRequires: grep, sed
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch

%description
DiskCheck is a small utility that monitors how much space is available
on your hard drive. It checks your drive space every hour and takes
action based on the specifications in a very simple config file.
When disks are nearing full capacity, mail will be sent to the system
administrator warning him to take action.

%prep
%setup -q

%install
rm -rf %{buildroot}
#	new w RHEL 8
sed -i -e 's@python@python3@g' diskcheck
sed -i -e 's@\t@    @g' diskcheck

mkdir -p %{buildroot}/etc/cron.hourly
install -m 0755 diskcheck %{buildroot}/etc/cron.hourly/diskcheck
install -m 0660 diskcheck.conf %{buildroot}/etc/diskcheck.conf

%clean
rm -rf %{buildroot}

%post
# upgrade on diskcheck config file format
if grep -q "\$DefaultCutoff" /etc/diskcheck.conf || \
   grep -q "cutoff{" /etc/diskcheck.conf; then
	sed -e 's|^\(#\?\)\$|\1|' \
		-e 's|;$||' \
		-e 's|DefaultCutoff|defaultCutoff|' \
		-e 's|Cutoff{\(.*\)}|cutoff\[\1\]|' \
		-e 's|cutoff{\(.*\)}|cutoff\[\1\]|' \
		-e 's|mailfrom|mailFrom|' \
		-e 's|mailto|mailTo|' \
		-e 's|mailprog|mailProg|' \
		-e 's|diskcheck.pl|diskcheck|' \
		-e 's|^# Location and name.*||' \
		-e 's|^tempfile = .*||' /etc/diskcheck.conf > \
		/etc/diskcheck.conf.new
	cat /etc/diskcheck.conf.new > /etc/diskcheck.conf
	rm -f /etc/diskcheck.conf.new
fi
	
%files
%defattr(-,root,root)
%config(noreplace) /etc/diskcheck.conf
/etc/cron.hourly/diskcheck

%changelog
* Thu May 19 2020 R P Herrold <info@owlriver.com> 1.6-6.orc
- tab indent fixup

* Thu May 14 2020 R P Herrold <info@owlriver.com> 1.6-5.orc
- fix up python to name a specific versioned one, rename Prereq to BR

* Wed Aug 29 2011 R P Herrold <info@owlriver.com> 1.6-4.orc
- fix up dist tag, pull Epoch

* Sat Jun  9 2007 R P Herrold <info@owlriver.com> 1.6-3orc
- fix up License field for C5

* Wed Sep 21 2004 Harald Hoyer <harald@redhat.com> - 2:1.6-2
- rebuilt

